<app-user-profile [user]="user" *ngIf="user; else loginAndRegistration"></app-user-profile>
<ng-template #loginAndRegistration>
  <div class="ui divided list">
    <div class="ui list item">
      <button class="ui button" (click)="switchBetweenLoginAndRegistration()">Switch to {{ isLogin ? "registration" : "login" }}</button>
    </div>
    <div class="ui list item">
      <app-login-form *ngIf="isLogin"></app-login-form>
      <app-register-form *ngIf="!isLogin"></app-register-form>
    </div>
  </div>
</ng-template>
